﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using System.Text.Json.Serialization;

namespace Tsi1.BusinessLayer.Dtos
{
    public class UserRegisterDto
    {
        [Required]
        public int UserTypeId { get; set; }

        [Required]
        public string Username { get; set; }

        [Required]
        public string Password { get; set; }

        [Required]
        public string FirstName { get; set; }

        [Required]
        public string LastName { get; set; }

        [Required]
        public string Email { get; set; }

        [Required]
        public string IdentityCard { get; set; }

        [JsonIgnore]
        public int TenantId { get; set; }

        public int Age { get; set; }
    }
}
