﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IUserService
    {
        Task<ServiceResult<User>> Authenticate(string username, string password, int tenantId);

        Task<ServiceResult<User>> Create(UserRegisterDto dto, string type);

        Task<ServiceResult<List<UserPreviewDto>>> GetAll(int tenantId);
    }
}
